AuMakeElementExportMonitor(3)

Name
AuMakeElementExportMonitor - initialize an ExportMonitor element

Synopsis
#include <audio/audiolib.h>

AuMakeElementExportMonitor(element, input, event_rate, format, num_tracks)
    AuElement *element; /* RETURN */
    unsigned short input;
    unsigned short event_rate;
    unsigned char format;
    unsigned char num_tracks;

Arguments

element
    Returns the initialized element.

input
    Specifies the index of the element to supply the audio data to monitor.

event_rate
    Specifies the event rate for the monitor.

format
    Specifies the format of the audio data. Currently, the following formats are defined: AuFormatULAW8, AuFormatLinearUnsigned8, AuFormatLinearSigned8, AuFormatLinearSigned16MSB, AuFormatLinearUnsigned16MSB, AuFormatSignedLinear16LSB, and AuFormatLinearUnsigned16LSB.

num_tracks
    Specifies the number of tracks in the audio data.

Description
AuMakeElementExportMonitor sets the type member of element to AuElementTypeExportMonitor and initializes the exportmonitor member of element with the remaining arguments.

AuMakeElementExportMonitor is implemented as a macro.

See Also
AuMakeElementAddConstant, AuMakeElementBundle, AuMakeElementExportBucket, AuMakeElementExportClient, AuMakeElementExportDevice, AuMakeElementImportBucket, AuMakeElementImportClient, AuMakeElementImportDevice, AuMakeElementImportWaveForm, AuMakeElementMultiplyConstant, AuMakeElementSum.

audiolib - Network Audio System C Language Interface